{% extends "base.html" %}
{% import '_forms.html' as forms %}
{% import '_modals.html' as modals %}

{% block content %}
<div class="tile is-parent is-main-tile">
    <div class="tile box is-child">
        <form method="post" name="subnet">
            <h2 class="title is-2">{{ strings.subnet }}</h2>
            {{ forms.input_text('subnet', strings.subnet, None, subnet) }}
            {{ forms.input_text('netmask', strings.netmask, None, netmask) }}
            {{ forms.input_text('domain', strings.domain, None, domain, dns_plugin) }}
            {{ forms.input_text('dns_servers', strings.dns_servers, None, dns_servers, dns_plugin) }}
            {{ forms.input_text('gateway', strings.gateway, None, gateway) }}

            <br><br>

            <h2 class="title is-2">{{ strings.range }}</h2>
            {{ forms.input_text('range_start', strings.start, None, range_start) }}
            {{ forms.input_text('range_end', strings.end, None, range_end) }}

            <br><br>

            {{ forms.input_checkbox('dns_auto_add', strings.dns_auto_add, dns_auto_add) }}
            <br><br>
            {{ forms.button(strings.Confirm) }}
            {% if msg %}<p>{{ msg }}</p>{% endif %}
        </form>

    </div>
</div>
{% endblock %}